<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.eg.mapper.EgDeviceHeartbeatMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.eg.domain.EgDeviceHeartbeat">
        <id column="id" property="id"/>
        <result column="device_code" property="deviceCode"/>
        <result column="ip_addr" property="ipAddr"/>
        <result column="mac_addr" property="macAddr"/>
        <result column="device_type" property="deviceType"/>
        <result column="create_time" property="createTime"/>
        <result column="model" property="model"/>
        <result column="manu_facturer"  property="manuFacturer"/>
        <result column="version" property="version"/>
        <result column="sdk" property="sdk"/>
        <result column="device_status" property="deviceStatus"/>
    </resultMap>

</mapper>
